Subject: Introduce a new roles definition syntax including runtime constraints
Description

The roles definition in the Policy.yaml should look like that in the future:

roles:
  Administrator:
    parentRoles: []
  Speaker:
    parentRoles: [Administrator]
    constraint: party.name  "andi" && party.address.street  "at home"

Note the new feature of runtime constraints!

Related issues:
related to TYPO3.Flow - Major Feature # 5659: Implement content security Resolved 2009-12-07

History
#1 - 2010-02-25 18:51 - Andreas Förthner
- Status changed from New to Accepted

#2 - 2010-03-01 21:23 - Andreas Förthner
- Status changed from Accepted to On Hold
- Priority changed from Should have to Could have
- Target version deleted (1.0 alpha 8)

The role constraints should be implemented on the account side. As this feature seems not to be too important, we will postpone it until there's a real
need for it.

#3 - 2010-03-03 14:51 - Andreas Förthner

One use case could be a system like forge. There you have different projects and in each project you have different roles. We have to evaluate this
and check if role constraints are the right solution for such a setup.
